#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  DOMException = 2081,
  DOMImplementation = 2094,
  DOMLocalization = 2112,
  DOMMatrix = 2128,
  DOMMatrixReadOnly = 2138,
  DOMParser = 2156,
  DOMPoint = 2166,
  DOMPointReadOnly = 2175,
  DOMQuad = 2192,
  DOMRect = 2200,
  DOMRectList = 2208,
  DOMRectReadOnly = 2220,
  DOMRequest = 2236,
  DOMStringList = 2247,
  DOMStringMap = 2261,
  DOMTokenList = 2274,
  DataTransfer = 2287,
  DataTransferItem = 2300,
  DataTransferItemList = 2317,
  DebuggerNotification = 2338,
  DebuggerNotificationObserver = 2359,
  DecompressionStream = 2388,
  DedicatedWorkerGlobalScope = 2408,
  DelayNode = 2435,
  DeprecationReportBody = 2445,
  DeviceAcceleration = 2467,
  DeviceLightEvent = 2486,
  DeviceMotionEvent = 2503,
  DeviceOrientationEvent = 2521,
  DeviceRotationRate = 2544,
  Directory = 2563,
  Document = 2573,
  DocumentFragment = 2582,
  DocumentL10n = 2599,
  DocumentTimeline = 2612,
  DocumentType = 2629,
  DominatorTree = 2642,
  DragEvent = 2656,
  DynamicsCompressorNode = 2666,
  EXT_blend_minmax = 2689,
  EXT_color_buffer_float = 2706,
  EXT_color_buffer_half_float = 2729,
  EXT_disjoint_timer_query = 2757,
  EXT_float_blend = 2782,
  EXT_frag_depth = 2798,
  EXT_sRGB = 2813,
  EXT_shader_texture_lod = 2822,
  EXT_texture_compression_bptc = 2845,
  EXT_texture_compression_rgtc = 2874,
  EXT_texture_filter_anisotropic = 2903,
  EXT_texture_norm16 = 2934,
  Element = 2953,
  ElementInternals = 2961,
  EncodedVideoChunk = 2978,
  ErrorEvent = 2996,
  Event = 3007,
  EventCallbackDebuggerNotification = 3013,
  EventCounts = 3047,
  EventSource = 3059,
  EventTarget = 3071,
  Exception = 3083,
  ExtendableEvent = 3093,
  ExtendableMessageEvent = 3109,
  ExtensionAlarms = 3132,
  ExtensionBrowser = 3148,
  ExtensionBrowserSettings = 3165,
  ExtensionBrowserSettingsColorManagement = 3190,
  ExtensionDns = 3230,
  ExtensionEventManager = 3243,
  ExtensionMockAPI = 3265,
  ExtensionPort = 3282,
  ExtensionProxy = 3296,
  ExtensionRuntime = 3311,
  ExtensionScripting = 3328,
  ExtensionSetting = 3347,
  ExtensionTest = 3364,
  External = 3378,
  FeaturePolicy = 3387,
  FeaturePolicyViolationReportBody = 3401,
  FetchEvent = 3434,
  FetchObserver = 3445,
  File = 3459,
  FileList = 3464,
  FileReader = 3473,
  FileReaderSync = 3484,
  FileSystem = 3499,
  FileSystemDirectoryEntry = 3510,
  FileSystemDirectoryHandle = 3535,
  FileSystemDirectoryHandle_AsyncIterator = 3561,
  FileSystemDirectoryIterator = 3601,
  FileSystemDirectoryReader = 3629,
  FileSystemEntry = 3655,
  FileSystemFileEntry = 3671,
  FileSystemFileHandle = 3691,
  FileSystemHandle = 3712,
  FileSystemSyncAccessHandle = 3729,
  FileSystemWritableFileStream = 3756,
  Flex = 3785,
  FlexItemValues = 3790,
  FlexLineValues = 3805,
  FluentBundle = 3820,
  FluentBundleAsyncIterator = 3833,
  FluentBundleIterator = 3859,
  FluentPattern = 3880,
  FluentResource = 3894,
  FocusEvent = 3909,
  FontFace = 3920,
  FontFaceSet = 3929,
  FontFaceSetIterator = 3941,
  FontFaceSetLoadEvent = 3961,
  FormData = 3982,
  FormData_Iterator = 3991,
  FormDataEvent = 4009,
  FrameCrashedEvent = 4023,
  FrameLoader = 4041,
  GPU = 4053,
  GPUAdapter = 4057,
  GPUAdapterInfo = 4068,
  GPUBindGroup = 4083,
  GPUBindGroupLayout = 4096,
  GPUBuffer = 4115,
  GPUBufferUsage = 4125,
  GPUCanvasContext = 4140,
  GPUColorWrite = 4157,
  GPUCommandBuffer = 4171,
  GPUCommandEncoder = 4188,
  GPUCompilationInfo = 4206,
  GPUCompilationMessage = 4225,
  GPUComputePassEncoder = 4247,
  GPUComputePipeline = 4269,
  GPUDevice = 4288,
  GPUDeviceLostInfo = 4298,
  GPUError = 4316,
  GPUInternalError = 4325,
  GPUMapMode = 4342,
  GPUOutOfMemoryError = 4353,
  GPUPipelineLayout = 4373,
  GPUQuerySet = 4391,
  GPUQueue = 4403,
  GPURenderBundle = 4412,
  GPURenderBundleEncoder = 4428,
  GPURenderPassEncoder = 4451,
  GPURenderPipeline = 4472,
  GPUSampler = 4490,
  GPUShaderModule = 4501,
  GPUShaderStage = 4517,
  GPUSupportedFeatures = 4532,
  GPUSupportedLimits = 4553,
  GPUTexture = 4572,
  GPUTextureUsage = 4583,
  GPUTextureView = 4599,
  GPUUncapturedErrorEvent = 4614,
  GPUValidationError = 4638,
  GainNode = 4657,
  Gamepad = 4666,
  GamepadAxisMoveEvent = 4674,
  GamepadButton = 4695,
  GamepadButtonEvent = 4709,
  GamepadEvent = 4728,
  GamepadHapticActuator = 4741,
  GamepadLightIndicator = 4763,
  GamepadPose = 4785,
  GamepadServiceTest = 4797,
  GamepadTouch = 4816,
  Geolocation = 4829,
  GeolocationCoordinates = 4841,
  GeolocationPosition = 4864,
  GeolocationPositionError = 4884,
  GetUserMediaRequest = 4909,
  GleanCategory = 4929,
  GleanImpl = 4943,
  GleanLabeled = 4953,
  GleanPingsImpl = 4966,
  Grid = 4981,
  GridArea = 4986,
  GridDimension = 4995,
  GridLine = 5009,
  GridLines = 5018,
  GridTrack = 5028,
  GridTracks = 5038,
  HTMLAllCollection = 5049,
  HTMLAnchorElement = 5067,
  HTMLAreaElement = 5085,
  HTMLAudioElement = 5101,
  HTMLBRElement = 5118,
  HTMLBaseElement = 5132,
  HTMLBodyElement = 5148,
  HTMLButtonElement = 5164,
  HTMLCanvasElement = 5182,
  HTMLCollection = 5200,
  HTMLDListElement = 5215,
  HTMLDataElement = 5232,
  HTMLDataListElement = 5248,
  HTMLDetailsElement = 5268,
  HTMLDialogElement = 5287,
  HTMLDirectoryElement = 5305,
  HTMLDivElement = 5326,
  HTMLDocument = 5341,
  HTMLElement = 5354,
  HTMLEmbedElement = 5366,
  HTMLFieldSetElement = 5383,
  HTMLFontElement = 5403,
  HTMLFormControlsCollection = 5419,
  HTMLFormElement = 5446,
  HTMLFrameElement = 5462,
  HTMLFrameSetElement = 5479,
  HTMLHRElement = 5499,
  HTMLHeadElement = 5513,
  HTMLHeadingElement = 5529,
  HTMLHtmlElement = 5548,
  HTMLIFrameElement = 5564,
  HTMLImageElement = 5582,
  HTMLInputElement = 5599,
  HTMLLIElement = 5616,
  HTMLLabelElement = 5630,
  HTMLLegendElement = 5647,
  HTMLLinkElement = 5665,
  HTMLMapElement = 5681,
  HTMLMarqueeElement = 5696,
  HTMLMediaElement = 5715,
  HTMLMenuElement = 5732,
  HTMLMetaElement = 5748,
  HTMLMeterElement = 5764,
  HTMLModElement = 5781,
  HTMLOListElement = 5796,
  HTMLObjectElement = 5813,
  HTMLOptGroupElement = 5831,
  HTMLOptionElement = 5851,
  HTMLOptionsCollection = 5869,
  HTMLOutputElement = 5891,
  HTMLParagraphElement = 5909,
  HTMLParamElement = 5930,
  HTMLPictureElement = 5947,
  HTMLPreElement = 5966,
  HTMLProgressElement = 5981,
  HTMLQuoteElement = 6001,
  HTMLScriptElement = 6018,
  HTMLSelectElement = 6036,
  HTMLSlotElement = 6054,
  HTMLSourceElement = 6070,
  HTMLSpanElement = 6088,
  HTMLStyleElement = 6104,
  HTMLTableCaptionElement = 6121,
  HTMLTableCellElement = 6145,
  HTMLTableColElement = 6166,
  HTMLTableElement = 6186,
  HTMLTableRowElement = 6203,
  HTMLTableSectionElement = 6223,
  HTMLTemplateElement = 6247,
  HTMLTextAreaElement = 6267,
  HTMLTimeElement = 6287,
  HTMLTitleElement = 6303,
  HTMLTrackElement = 6320,
  HTMLUListElement = 6337,
  HTMLUnknownElement = 6354,
  HTMLVideoElement = 6373,
  HashChangeEvent = 6390,
  Headers = 6406,
  Headers_Iterator = 6414,
  HeapSnapshot = 6431,
  Highlight = 6444,
  HighlightRegistry = 6454,
  History = 6472,
  IDBCursor = 6480,
  IDBCursorWithValue = 6490,
  IDBDatabase = 6509,
  IDBFactory = 6521,
  IDBIndex = 6532,
  IDBKeyRange = 6541,
  IDBLocaleAwareKeyRange = 6553,
  IDBObjectStore = 6576,
  IDBOpenDBRequest = 6591,
  IDBRequest = 6608,
  IDBTransaction = 6619,
  IDBVersionChangeEvent = 6634,
  IIRFilterNode = 6656,
  IOUtils = 6670,
  IdentityCredential = 6678,
  IdleDeadline = 6697,
  Image = 6710,
  ImageBitmap = 6716,
  ImageBitmapRenderingContext = 6728,
  ImageCapture = 6756,
  ImageCaptureError = 6769,
  ImageCaptureErrorEvent = 6787,
  ImageData = 6810,
  ImageDocument = 6820,
  InputEvent = 6834,
  InspectorFontFace = 6845,
  InspectorUtils = 6863,
  InstallTriggerImpl = 6878,
  IntersectionObserver = 6897,
  IntersectionObserverEntry = 6918,
  IntlUtils = 6944,
  JSProcessActorChild = 6954,
  JSProcessActorParent = 6974,
  JSWindowActorChild = 6995,
  JSWindowActorParent = 7014,
  KeyEvent = 7034,
  KeyboardEvent = 7043,
  KeyframeEffect = 7057,
  L10nFileSource = 7072,
  L10nOverlays = 7087,
  L10nRegistry = 7100,
  LargestContentfulPaint = 7113,
  LegacyMozTCPSocket = 7136,
  Localization = 7155,
  Location = 7168,
  Lock = 7177,
  LockManager = 7182,
  MIDIAccess = 7194,
  MIDIConnectionEvent = 7205,
  MIDIInput = 7225,
  MIDIInputMap = 7235,
  MIDIMessageEvent = 7248,
  MIDIOutput = 7265,
  MIDIOutputMap = 7276,
  MIDIPort = 7290,
  MOZ_debug = 7299,
  MatchGlob = 7309,
  MatchPattern = 7319,
  MatchPatternSet = 7332,
  MathMLElement = 7348,
  MediaCapabilities = 7362,
  MediaCapabilitiesInfo = 7380,
  MediaControlService = 7402,
  MediaController = 7422,
  MediaDeviceInfo = 7438,
  MediaDevices = 7454,
  MediaElementAudioSourceNode = 7467,
  MediaEncryptedEvent = 7495,
  MediaError = 7515,
  MediaKeyError = 7526,
  MediaKeyMessageEvent = 7540,
  MediaKeySession = 7561,
  MediaKeyStatusMap = 7577,
  MediaKeyStatusMap_Iterator = 7595,
  MediaKeySystemAccess = 7622,
  MediaKeys = 7643,
  MediaList = 7653,
  MediaMetadata = 7663,
  MediaQueryList = 7677,
  MediaQueryListEvent = 7692,
  MediaRecorder = 7712,
  MediaRecorderErrorEvent = 7726,
  MediaSession = 7750,
  MediaSource = 7763,
  MediaStream = 7775,
  MediaStreamAudioDestinationNode = 7787,
  MediaStreamAudioSourceNode = 7819,
  MediaStreamError = 7846,
  MediaStreamEvent = 7863,
  MediaStreamTrack = 7880,
  MediaStreamTrackAudioSourceNode = 7897,
  MediaStreamTrackEvent = 7929,
  MerchantValidationEvent = 7951,
  MessageBroadcaster = 7975,
  MessageChannel = 7994,
  MessageEvent = 8009,
  MessageListenerManager = 8022,
  MessagePort = 8045,
  MessageSender = 8057,
  MimeType = 8071,
  MimeTypeArray = 8080,
  MouseEvent = 8094,
  MouseScrollEvent = 8105,
  MozCanvasPrintState = 8122,
  MozDocumentMatcher = 8142,
  MozDocumentObserver = 8161,
  MozQueryInterface = 8181,
  MozSharedMap = 8199,
  MozSharedMap_Iterator = 8212,
  MozSharedMapChangeEvent = 8234,
  MozStorageAsyncStatementParams = 8258,
  MozStorageStatementParams = 8289,
  MozStorageStatementRow = 8315,
  MozWritableSharedMap = 8338,
  MutationEvent = 8359,
  MutationObserver = 8373,
  MutationRecord = 8390,
  NamedNodeMap = 8405,
  NavigationPreloadManager = 8418,
  Navigator = 8443,
  NetworkInformation = 8453,
  Node = 8472,
  NodeFilter = 8477,
  NodeIterator = 8488,
  NodeList = 8501,
  Notification = 8510,
  NotificationEvent = 8523,
  NotifyPaintEvent = 8541,
  OES_draw_buffers_indexed = 8558,
  OES_element_index_uint = 8583,
  OES_fbo_render_mipmap = 8606,
  OES_standard_derivatives = 8628,
  OES_texture_float = 8653,
  OES_texture_float_linear = 8671,
  OES_texture_half_float = 8696,
  OES_texture_half_float_linear = 8719,
  OES_vertex_array_object = 8749,
  OVR_multiview2 = 8773,
  OfflineAudioCompletionEvent = 8788,
  OfflineAudioContext = 8816,
  OffscreenCanvas = 8836,
  OffscreenCanvasRenderingContext2D = 8852,
  OnlyForUseInConstructor = 8886,
  Option = 8910,
  OscillatorNode = 8917,
  PageTransitionEvent = 8932,
  PaintRequest = 8952,
  PaintRequestList = 8965,
  PaintWorkletGlobalScope = 8982,
  PannerNode = 9006,
  ParentProcessMessageManager = 9017,
  Path2D = 9045,
  PathUtils = 9052,
  PaymentAddress = 9062,
  PaymentMethodChangeEvent = 9077,
  PaymentRequest = 9102,
  PaymentRequestUpdateEvent = 9117,
  PaymentResponse = 9143,
  PeerConnectionImpl = 9159,
  PeerConnectionObserver = 9178,
  Performance = 9201,
  PerformanceEntry = 9213,
  PerformanceEntryEvent = 9230,
  PerformanceEventTiming = 9252,
  PerformanceMark = 9275,
  PerformanceMeasure = 9291,
  PerformanceNavigation = 9310,
  PerformanceNavigationTiming = 9332,
  PerformanceObserver = 9360,
  PerformanceObserverEntryList = 9380,
  PerformancePaintTiming = 9409,
  PerformanceResourceTiming = 9432,
  PerformanceServerTiming = 9458,
  PerformanceTiming = 9482,
  PeriodicWave = 9500,
  PermissionStatus = 9513,
  Permissions = 9530,
  PlacesBookmark = 9542,
  PlacesBookmarkAddition = 9557,
  PlacesBookmarkChanged = 9580,
  PlacesBookmarkGuid = 9602,
  PlacesBookmarkKeyword = 9621,
  PlacesBookmarkMoved = 9643,
  PlacesBookmarkRemoved = 9663,
  PlacesBookmarkTags = 9685,
  PlacesBookmarkTime = 9704,
  PlacesBookmarkTitle = 9723,
  PlacesBookmarkUrl = 9743,
  PlacesEvent = 9761,
  PlacesFavicon = 9773,
  PlacesHistoryCleared = 9787,
  PlacesObservers = 9808,
  PlacesPurgeCaches = 9824,
  PlacesRanking = 9842,
  PlacesVisit = 9856,
  PlacesVisitRemoved = 9868,
  PlacesVisitTitle = 9887,
  PlacesWeakCallbackWrapper = 9904,
  Plugin = 9930,
  PluginArray = 9937,
  PluginCrashedEvent = 9949,
  PointerEvent = 9968,
  PopStateEvent = 9981,
  PopupBlockedEvent = 9995,
  PopupPositionedEvent = 10013,
  PositionStateEvent = 10034,
  PrecompiledScript = 10053,
  ProcessMessageManager = 10071,
  ProcessingInstruction = 10093,
  ProgressEvent = 10115,
  PromiseDebugging = 10129,
  PromiseNativeHandler = 10146,
  PromiseRejectionEvent = 10167,
  PublicKeyCredential = 10189,
  PushEvent = 10209,
  PushManager = 10219,
  PushManagerImpl = 10231,
  PushMessageData = 10247,
  PushSubscription = 10263,
  PushSubscriptionOptions = 10280,
  RTCCertificate = 10304,
  RTCDTMFSender = 10319,
  RTCDTMFToneChangeEvent = 10333,
  RTCDataChannel = 10356,
  RTCDataChannelEvent = 10371,
  RTCDtlsTransport = 10391,
  RTCEncodedAudioFrame = 10408,
  RTCEncodedVideoFrame = 10429,
  RTCIceCandidate = 10450,
  RTCIdentityProviderRegistrar = 10466,
  RTCPeerConnection = 10495,
  RTCPeerConnectionIceEvent = 10513,
  RTCPeerConnectionStatic = 10539,
  RTCRtpReceiver = 10563,
  RTCRtpScriptTransform = 10578,
  RTCRtpScriptTransformer = 10600,
  RTCRtpSender = 10624,
  RTCRtpTransceiver = 10637,
  RTCSctpTransport = 10655,
  RTCSessionDescription = 10672,
  RTCStatsReport = 10694,
  RTCTrackEvent = 10709,
  RTCTransformEvent = 10723,
  RadioNodeList = 10741,
  Range = 10755,
  ReadableByteStreamController = 10761,
  ReadableStream = 10790,
  ReadableStream_AsyncIterator = 10805,
  ReadableStreamBYOBReader = 10834,
  ReadableStreamBYOBRequest = 10859,
  ReadableStreamDefaultController = 10885,
  ReadableStreamDefaultReader = 10917,
  Report = 10945,
  ReportBody = 10952,
  ReportingObserver = 10963,
  Request = 10981,
  ResizeObserver = 10989,
  ResizeObserverEntry = 11004,
  ResizeObserverSize = 11024,
  Response = 11043,
  SVGAElement = 11052,
  SVGAngle = 11064,
  SVGAnimateElement = 11073,
  SVGAnimateMotionElement = 11091,
  SVGAnimateTransformElement = 11115,
  SVGAnimatedAngle = 11142,
  SVGAnimatedBoolean = 11159,
  SVGAnimatedEnumeration = 11178,
  SVGAnimatedInteger = 11201,
  SVGAnimatedLength = 11220,
  SVGAnimatedLengthList = 11238,
  SVGAnimatedNumber = 11260,
  SVGAnimatedNumberList = 11278,
  SVGAnimatedPreserveAspectRatio = 11300,
  SVGAnimatedRect = 11331,
  SVGAnimatedString = 11347,
  SVGAnimatedTransformList = 11365,
  SVGAnimationElement = 11390,
  SVGCircleElement = 11410,
  SVGClipPathElement = 11427,
  SVGComponentTransferFunctionElement = 11446,
  SVGDefsElement = 11482,
  SVGDescElement = 11497,
  SVGElement = 11512,
  SVGEllipseElement = 11523,
  SVGFEBlendElement = 11541,
  SVGFEColorMatrixElement = 11559,
  SVGFEComponentTransferElement = 11583,
  SVGFECompositeElement = 11613,
  SVGFEConvolveMatrixElement = 11635,
  SVGFEDiffuseLightingElement = 11662,
  SVGFEDisplacementMapElement = 11690,
  SVGFEDistantLightElement = 11718,
  SVGFEDropShadowElement = 11743,
  SVGFEFloodElement = 11766,
  SVGFEFuncAElement = 11784,
  SVGFEFuncBElement = 11802,
  SVGFEFuncGElement = 11820,
  SVGFEFuncRElement = 11838,
  SVGFEGaussianBlurElement = 11856,
  SVGFEImageElement = 11881,
  SVGFEMergeElement = 11899,
  SVGFEMergeNodeElement = 11917,
  SVGFEMorphologyElement = 11939,
  SVGFEOffsetElement = 11962,
  SVGFEPointLightElement = 11981,
  SVGFESpecularLightingElement = 12004,
  SVGFESpotLightElement = 12033,
  SVGFETileElement = 12055,
  SVGFETurbulenceElement = 12072,
  SVGFilterElement = 12095,
  SVGForeignObjectElement = 12112,
  SVGGElement = 12136,
  SVGGeometryElement = 12148,
  SVGGradientElement = 12167,
  SVGGraphicsElement = 12186,
  SVGImageElement = 12205,
  SVGLength = 12221,
  SVGLengthList = 12231,
  SVGLineElement = 12245,
  SVGLinearGradientElement = 12260,
  SVGMPathElement = 12285,
  SVGMarkerElement = 12301,
  SVGMaskElement = 12318,
  SVGMatrix = 12333,
  SVGMetadataElement = 12343,
  SVGNumber = 12362,
  SVGNumberList = 12372,
  SVGPathElement = 12386,
  SVGPathSeg = 12401,
  SVGPathSegArcAbs = 12412,
  SVGPathSegArcRel = 12429,
  SVGPathSegClosePath = 12446,
  SVGPathSegCurvetoCubicAbs = 12466,
  SVGPathSegCurvetoCubicRel = 12492,
  SVGPathSegCurvetoCubicSmoothAbs = 12518,
  SVGPathSegCurvetoCubicSmoothRel = 12550,
  SVGPathSegCurvetoQuadraticAbs = 12582,
  SVGPathSegCurvetoQuadraticRel = 12612,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12642,
  SVGPathSegCurvetoQuadraticSmoothRel = 12678,
  SVGPathSegLinetoAbs = 12714,
  SVGPathSegLinetoHorizontalAbs = 12734,
  SVGPathSegLinetoHorizontalRel = 12764,
  SVGPathSegLinetoRel = 12794,
  SVGPathSegLinetoVerticalAbs = 12814,
  SVGPathSegLinetoVerticalRel = 12842,
  SVGPathSegList = 12870,
  SVGPathSegMovetoAbs = 12885,
  SVGPathSegMovetoRel = 12905,
  SVGPatternElement = 12925,
  SVGPoint = 12943,
  SVGPointList = 12952,
  SVGPolygonElement = 12965,
  SVGPolylineElement = 12983,
  SVGPreserveAspectRatio = 13002,
  SVGRadialGradientElement = 13025,
  SVGRect = 13050,
  SVGRectElement = 13058,
  SVGSVGElement = 13073,
  SVGScriptElement = 13087,
  SVGSetElement = 13104,
  SVGStopElement = 13118,
  SVGStringList = 13133,
  SVGStyleElement = 13147,
  SVGSwitchElement = 13163,
  SVGSymbolElement = 13180,
  SVGTSpanElement = 13197,
  SVGTextContentElement = 13213,
  SVGTextElement = 13235,
  SVGTextPathElement = 13250,
  SVGTextPositioningElement = 13269,
  SVGTitleElement = 13295,
  SVGTransform = 13311,
  SVGTransformList = 13324,
  SVGUnitTypes = 13341,
  SVGUseElement = 13354,
  SVGViewElement = 13368,
  Sanitizer = 13383,
  Scheduler = 13393,
  Screen = 13403,
  ScreenLuminance = 13410,
  ScreenOrientation = 13426,
  ScriptProcessorNode = 13444,
  ScrollAreaEvent = 13464,
  ScrollViewChangeEvent = 13480,
  SecurityPolicyViolationEvent = 13502,
  Selection = 13531,
  ServiceWorker = 13541,
  ServiceWorkerContainer = 13555,
  ServiceWorkerGlobalScope = 13578,
  ServiceWorkerRegistration = 13603,
  SessionStoreFormData = 13629,
  SessionStoreScrollData = 13650,
  SessionStoreUtils = 13673,
  ShadowRealmGlobalScope = 13691,
  ShadowRoot = 13714,
  SharedWorker = 13725,
  SharedWorkerGlobalScope = 13738,
  SimpleGestureEvent = 13762,
  SourceBuffer = 13781,
  SourceBufferList = 13794,
  SpeechGrammar = 13811,
  SpeechGrammarList = 13825,
  SpeechRecognition = 13843,
  SpeechRecognitionAlternative = 13861,
  SpeechRecognitionError = 13890,
  SpeechRecognitionEvent = 13913,
  SpeechRecognitionResult = 13936,
  SpeechRecognitionResultList = 13960,
  SpeechSynthesis = 13988,
  SpeechSynthesisErrorEvent = 14004,
  SpeechSynthesisEvent = 14030,
  SpeechSynthesisUtterance = 14051,
  SpeechSynthesisVoice = 14076,
  StaticRange = 14097,
  StereoPannerNode = 14109,
  Storage = 14126,
  StorageEvent = 14134,
  StorageManager = 14147,
  StreamFilter = 14162,
  StreamFilterDataEvent = 14175,
  StructuredCloneHolder = 14197,
  StructuredCloneTester = 14219,
  StyleSheet = 14241,
  StyleSheetApplicableStateChangeEvent = 14252,
  StyleSheetList = 14289,
  StyleSheetRemovedEvent = 14304,
  SubmitEvent = 14327,
  SubtleCrypto = 14339,
  SyncMessageSender = 14352,
  SyncReadFile = 14370,
  TCPServerSocket = 14383,
  TCPServerSocketEvent = 14399,
  TCPSocket = 14420,
  TCPSocketErrorEvent = 14430,
  TCPSocketEvent = 14450,
  TaskController = 14465,
  TaskPriorityChangeEvent = 14480,
  TaskSignal = 14504,
  TelemetryStopwatch = 14515,
  TestAttributesOnTypes = 14534,
  TestCEReactionsInterface = 14556,
  TestCImplementedInterface = 14581,
  TestCImplementedInterface2 = 14607,
  TestChildInterface = 14634,
  TestConstructorForFuncInterface = 14653,
  TestConstructorForPrefInterface = 14685,
  TestConstructorForSCInterface = 14717,
  TestCppKeywordNamedMethodsInterface = 14747,
  TestDeprecatedInterface = 14783,
  TestExampleInterface = 14807,
  TestExampleProxyInterface = 14828,
  TestExampleThrowingConstructorInterface = 14854,
  TestExampleWorkerInterface = 14894,
  TestFuncConstructorForDifferentFuncInterface = 14921,
  TestFuncConstructorForInterface = 14966,
  TestHTMLConstructorInterface = 14998,
  TestIndexedAndNamedGetterAndSetterInterface = 15027,
  TestIndexedAndNamedGetterInterface = 15071,
  TestIndexedAndNamedSetterInterface = 15106,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15141,
  TestIndexedGetterInterface = 15191,
  TestIndexedSetterInterface = 15218,
  TestInterface = 15245,
  TestInterfaceWithPromiseConstructorArg = 15259,
  TestJSImplInterface = 15298,
  TestJSImplInterface2 = 15318,
  TestJSImplInterface3 = 15339,
  TestJSImplInterface4 = 15360,
  TestJSImplInterface5 = 15381,
  TestJSImplInterface6 = 15402,
  TestJSImplNoInterfaceObject = 15423,
  TestNamedDeleterInterface = 15451,
  TestNamedDeleterWithRetvalInterface = 15477,
  TestNamedGetterInterface = 15513,
  TestNamedSetterInterface = 15538,
  TestNamespace = 15563,
  TestNonWrapperCacheInterface = 15577,
  TestParentInterface = 15606,
  TestPrefChromeOnlySCFuncConstructorForInterface = 15626,
  TestPrefConstructorForDifferentPrefInterface = 15674,
  TestPrefConstructorForInterface = 15719,
  TestProtoObjectHackedNamespace = 15751,
  TestRenamedInterface = 15782,
  TestRenamedNamespace = 15803,
  TestSCConstructorForInterface = 15824,
  TestSecureContextInterface = 15854,
  TestThrowingConstructorInterface = 15881,
  TestUtils = 15914,
  TestWorkerExposedInterface = 15924,
  TestingDeprecatedInterface = 15951,
  Text = 15978,
  TextClause = 15983,
  TextDecoder = 15994,
  TextDecoderStream = 16006,
  TextEncoder = 16024,
  TextEncoderStream = 16036,
  TextMetrics = 16054,
  TextTrack = 16066,
  TextTrackCue = 16076,
  TextTrackCueList = 16089,
  TextTrackList = 16106,
  TimeEvent = 16120,
  TimeRanges = 16130,
  ToggleEvent = 16141,
  Touch = 16153,
  TouchEvent = 16159,
  TouchList = 16170,
  TrackEvent = 16180,
  TransformStream = 16191,
  TransformStreamDefaultController = 16207,
  TransitionEvent = 16240,
  TreeColumn = 16256,
  TreeColumns = 16267,
  TreeContentView = 16279,
  TreeWalker = 16295,
  UDPMessageEvent = 16306,
  UDPSocket = 16322,
  UIEvent = 16332,
  URL = 16340,
  URLSearchParams = 16344,
  URLSearchParams_Iterator = 16360,
  UniFFIPointer = 16385,
  UniFFIScaffolding = 16399,
  UserInteraction = 16417,
  UserProximityEvent = 16433,
  VRDisplay = 16452,
  VRDisplayCapabilities = 16462,
  VRDisplayEvent = 16484,
  VREyeParameters = 16499,
  VRFieldOfView = 16515,
  VRFrameData = 16529,
  VRMockController = 16541,
  VRMockDisplay = 16558,
  VRPose = 16572,
  VRServiceTest = 16579,
  VRStageParameters = 16593,
  VTTCue = 16611,
  VTTRegion = 16618,
  ValidityState = 16628,
  VideoColorSpace = 16642,
  VideoDecoder = 16658,
  VideoFrame = 16671,
  VideoPlaybackQuality = 16682,
  VideoTrack = 16703,
  VideoTrackList = 16714,
  VisualViewport = 16729,
  WEBGL_color_buffer_float = 16744,
  WEBGL_compressed_texture_astc = 16769,
  WEBGL_compressed_texture_etc = 16799,
  WEBGL_compressed_texture_etc1 = 16828,
  WEBGL_compressed_texture_pvrtc = 16858,
  WEBGL_compressed_texture_s3tc = 16889,
  WEBGL_compressed_texture_s3tc_srgb = 16919,
  WEBGL_debug_renderer_info = 16954,
  WEBGL_debug_shaders = 16980,
  WEBGL_depth_texture = 17000,
  WEBGL_draw_buffers = 17020,
  WEBGL_explicit_present = 17039,
  WEBGL_lose_context = 17062,
  WEBGL_provoking_vertex = 17081,
  WaveShaperNode = 17104,
  WebExtensionContentScript = 17119,
  WebExtensionPolicy = 17145,
  WebGL2RenderingContext = 17164,
  WebGLActiveInfo = 17187,
  WebGLBuffer = 17203,
  WebGLContextEvent = 17215,
  WebGLFramebuffer = 17233,
  WebGLProgram = 17250,
  WebGLQuery = 17263,
  WebGLRenderbuffer = 17274,
  WebGLRenderingContext = 17292,
  WebGLSampler = 17314,
  WebGLShader = 17327,
  WebGLShaderPrecisionFormat = 17339,
  WebGLSync = 17366,
  WebGLTexture = 17376,
  WebGLTransformFeedback = 17389,
  WebGLUniformLocation = 17412,
  WebGLVertexArrayObject = 17433,
  WebKitCSSMatrix = 17456,
  WebSocket = 17472,
  WebTransport = 17482,
  WebTransportBidirectionalStream = 17495,
  WebTransportDatagramDuplexStream = 17527,
  WebTransportError = 17560,
  WebTransportReceiveStream = 17578,
  WebTransportSendStream = 17604,
  WebrtcGlobalInformation = 17627,
  WheelEvent = 17651,
  Window = 17662,
  WindowClient = 17669,
  WindowContext = 17682,
  WindowGlobalChild = 17696,
  WindowGlobalParent = 17714,
  WindowRoot = 17733,
  Worker = 17744,
  WorkerDebuggerGlobalScope = 17751,
  WorkerGlobalScope = 17777,
  WorkerLocation = 17795,
  WorkerNavigator = 17810,
  WorkerTestUtils = 17826,
  Worklet = 17842,
  WorkletGlobalScope = 17850,
  WritableStream = 17869,
  WritableStreamDefaultController = 17884,
  WritableStreamDefaultWriter = 17916,
  XMLDocument = 17944,
  XMLHttpRequest = 17956,
  XMLHttpRequestEventTarget = 17971,
  XMLHttpRequestUpload = 17997,
  XMLSerializer = 18018,
  XPathEvaluator = 18032,
  XPathExpression = 18047,
  XPathResult = 18063,
  XRBoundedReferenceSpace = 18075,
  XRFrame = 18099,
  XRInputSource = 18107,
  XRInputSourceArray = 18121,
  XRInputSourceEvent = 18140,
  XRInputSourcesChangeEvent = 18159,
  XRPose = 18185,
  XRReferenceSpace = 18192,
  XRReferenceSpaceEvent = 18209,
  XRRenderState = 18231,
  XRRigidTransform = 18245,
  XRSession = 18262,
  XRSessionEvent = 18272,
  XRSpace = 18287,
  XRSystem = 18295,
  XRView = 18304,
  XRViewerPose = 18311,
  XRViewport = 18324,
  XRWebGLLayer = 18335,
  XSLTProcessor = 18348,
  XULCommandEvent = 18362,
  XULElement = 18378,
  XULFrameElement = 18389,
  XULMenuElement = 18405,
  XULPopupElement = 18420,
  XULResizerElement = 18436,
  XULTextElement = 18454,
  XULTreeElement = 18469,
  console = 18484,
  webkitSpeechGrammar = 18492,
  webkitSpeechGrammarList = 18512,
  webkitSpeechRecognition = 18536,
  webkitURL = 18560,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
